petsc-3.4.2 2013-07-02

# DMPlexStratify

The Sieve DAG for most topologies is a graded poset (http://en.wikipedia.org/wiki/Graded_poset), and can be illustrated by Hasse Diagram (a http://en.wikipedia.org/wiki/Hasse_diagram). The strata group all points of the same grade, and this function calculates the strata. This grade can be seen as the height (or depth) of the point in the DAG.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexStratify(DM dm)

Not collective

### Input Parameter

mesh -The DMPlex

### Output Parameter

### Notes

The normal association for the point grade is element dimension (or co-dimension). For instance, all vertices would have depth 0, and all edges depth 1. Likewise, all cells heights would have height 0, and all faces height 1.

This should be called after all calls to DMPlexSymmetrize()

### See Also

DMPlexCreate(), DMPlexSymmetrize()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages